Bug 497706 - suddenly there is no network on kvm guests
suddenly there is no network on kvm guests
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 07:54 EDT by Matěj Cepl
Modified: 2009-05-05 08:21 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-05 08:21:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages (22.94 KB, text/plain)
2009-04-26 07:54 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-04-26 07:54:17 EDT
Created attachment 341347 [details]
/var/log/messages

Description of problem:
Without changing anything in configuration all my guests lost network access. DHCP client fails on both Windows 7 and RHEL 5, with the same configuration which worked before.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.10-12.fc11.x86_64
kernel-2.6.29.1-102.fc11.x86_64
qemu-img-0.10-12.fc11.x86_64
libvirt-0.6.2-2.fc11.x86_64
qemu-common-0.10-12.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start kvm guest
2.
3.
  
Actual results:
startup of network on guest fails

Expected results:
should just work

Additional info:
Comment 1 Richard W.M. Jones 2009-04-26 08:25:17 EDT
I noticed the other day that guests which are configured in
qemu/kvm with
  -net nic,...
(no explicit model), no longer get the default model which was
rtl8139.  I wasn't sure if there is now no default model at all, or
if the default model changed to something else.  This may be
related anyhow.
Comment 2 Mark McLoughlin 2009-05-04 10:41:19 EDT
(In reply to comment #0)
> Created an attachment (id=341347) [details]
> /var/log/messages
> 
> Description of problem:
> Without changing anything in configuration all my guests lost network access.
> DHCP client fails on both Windows 7 and RHEL 5, with the same configuration
> which worked before.

If this is still happening take a look at:

  https://fedoraproject.org/wiki/Reporting_virtualization_bugs#Networking

and provide the info requested there

It could be that you changed your firewall config and a "service libvirtd reload" would fix it

(In reply to comment #1)
> I noticed the other day that guests which are configured in
> qemu/kvm with
>   -net nic,...
> (no explicit model), no longer get the default model which was
> rtl8139.  I wasn't sure if there is now no default model at all, or
> if the default model changed to something else.  This may be
> related anyhow.  

That shouldn't be the case; please file a new bug if you can reproduce this. I just tried with latest F-11 and rtl8139 does seem to be used as the default.
Comment 3 Matěj Cepl 2009-05-05 08:21:20 EDT
(In reply to comment #2)
> If this is still happening take a look at:
> 
>   https://fedoraproject.org/wiki/Reporting_virtualization_bugs#Networking
> 
> and provide the info requested there
> 
> It could be that you changed your firewall config and a "service libvirtd
> reload" would fix it

Not sure how to reproduce it now, and it seems to be working.

Note You need to log in before you can comment on or make changes to this bug.